

package wizframe.jfw.cpu;

/**
 * Min, max leveler
 */
public class Leveler {

	int min = 0;
	int max = 0;
	int cur = 0;
	
	public Leveler(int min, int max, int cur) {
		this.min = min;
		this.max = max;
		this.cur = cur;
	}

	public void add(double dval) {
		add((int)dval);
	}
	
	public void add(int inc) {
		cur += inc;
		if (cur < min) cur = min;
		else if (cur > max) cur = max;
	}

	public int curVal() {
		return cur;
	}

	public boolean isMax() {
		return cur == max;
	}

}
