

package wizframe.jfw.core;

import java.util.Random;

/**
 * MiliSec 를 측정하기 위한 Timer class
 *
 */
public class Timer {

	/** 시작 시간 */
	long mili1;
	
	/** 종료 시간 */
	long mili2;
	
	public Timer (){
		mili1 = System.currentTimeMillis();
	}

	/**
	 * 종료시간을 설정한다
	 */
	public void stop() {
		mili2 = System.currentTimeMillis();
	}

	public long getDiffMili() {
		stop();
		return mili2 - mili1;
	}
	
	/** 
	 * 시간차 mili sec.를 문자열로 얻는다
	 */
	public String getDiff() {
		stop();
		
		long diff = mili2 - mili1;
		int mili = (int)(diff % 1000);
		int sec = (int)(diff / 1000);
		int min = sec / 60;
		sec = sec % 60;
		int hour = min / 60;
		min = min % 60;
		return String.format("%2d:%02d:%02d", hour, min, sec, mili);
		//return String.format("%3d:%02d:%02d.%03d", hour, min, sec, mili);
	}

	static public String toHMS(long diff) {
		int mili = (int)(diff % 1000);
		int sec = (int)(diff / 1000);
		int min = sec / 60;
		sec = sec % 60;
		int hour = min / 60;
		min = min % 60;
		return String.format("%2d:%02d:%02d", hour, min, sec, mili);
	}

	public String getDiffM() {
		stop();
		
		long diff = mili2 - mili1;
		int mili = (int)(diff % 1000);
		int sec = (int)(diff / 1000);
		int min = sec / 60;
		sec = sec % 60;
		int hour = min / 60;
		min = min % 60;
		if (hour>0)
			return String.format("%3d:%02d:%02d", hour, min, sec, mili);
			//return String.format("%3d:%02d:%02d.%03d", hour, min, sec, mili);
			
		return String.format("%02d:%02d.%03d", min, sec, mili);
	}

	static public String toHMSM(long diff) {
		int mili = (int)(diff % 1000);
		int sec = (int)(diff / 1000);
		int min = sec / 60;
		sec = sec % 60;
		int hour = min / 60;
		min = min % 60;
		if (hour>0)
			return String.format("%3d:%02d:%02d", hour, min, sec, mili);
		return String.format("%02d:%02d.%03d", min, sec, mili);
	}
	
	static public void msleep(int mili) {
		try { Thread.sleep(mili); } catch (Exception e) {}
	}

	static public void rsleep(int min, int max) {
		msleep(min + new Random().nextInt(max-min));
		///msleep(mili);
	}

}
