

package wizframe.jfw.cpu;

/**
 * Timer interval checker
 */
public class Interval {

	long nextMili = 0;
	long interMili = 0;
	
	public Interval(long interMili) {
		this.interMili = interMili;
	}
	
	synchronized public boolean isOver() {
		long mili = System.currentTimeMillis();
		if (nextMili < mili) {
			nextMili = mili + interMili;
			return true;
		}
		return false;
	}

	public void clear() {
		nextMili = 0;		
	}
	
}
